import { jsx } from "react/jsx-runtime";
import { ToggleLeft as ToggleLeft$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ToggleLeft = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ToggleLeft", ...props, children: /* @__PURE__ */ jsx(ToggleLeft$1, { weight: variant }) });
  }
);
ToggleLeft.displayName = "ToggleLeft";
Object.assign(ToggleLeft, { isGdsIcon: true });
export {
  ToggleLeft
};
